Fortinet white logo
Fortinet white logo

GET

GET

URI:
  • /api/v1/quota

  • /api/v1/quota?realm_id=***

Input fields:
Field name Type Required Description
realm_id string No The realm ID.
brief boolean No Whether to get user quota details per realm.
Successful response fields:
Field name Type Description
usage integer The user count.
total_quota integer The total user quota.
trial_status integer

Customer trial status, which can be one of the following:

  • 0=No license

  • 1=In trial

  • 2=In licensed

end_date string The latest license expiration date.
realms list The realm quota allocation details, for each item (e.g., realm_id, quota, usage, etc.)
Successful response fields (if realm-id is included as an input):
HEAD
Field name Type Description
realm_id string The realm id.
realm_quota integer Quota assigned to the realm.
users integer Number of users in the realm.
Response codes:
Code Response content Description
200 OK User quota info has been successfully returned.
404 Not Found
  • Cannot identify related customer info.

  • Cannot identify realm info.

Example request body:

None

Example of successful response body:
{
   "usage":10,
   "total_quota":240,
   "trial_status":2,
   "end_date":"2030-11-18",
   "realms":[
      [
         "12345678-abcd-efgh-1234-xxxxxxxxxxxx",
         10,
         1
      ]
   ]
}

GET

GET

URI:
  • /api/v1/quota

  • /api/v1/quota?realm_id=***

Input fields:
Field name Type Required Description
realm_id string No The realm ID.
brief boolean No Whether to get user quota details per realm.
Successful response fields:
Field name Type Description
usage integer The user count.
total_quota integer The total user quota.
trial_status integer

Customer trial status, which can be one of the following:

  • 0=No license

  • 1=In trial

  • 2=In licensed

end_date string The latest license expiration date.
realms list The realm quota allocation details, for each item (e.g., realm_id, quota, usage, etc.)
Successful response fields (if realm-id is included as an input):
HEAD
Field name Type Description
realm_id string The realm id.
realm_quota integer Quota assigned to the realm.
users integer Number of users in the realm.
Response codes:
Code Response content Description
200 OK User quota info has been successfully returned.
404 Not Found
  • Cannot identify related customer info.

  • Cannot identify realm info.

Example request body:

None

Example of successful response body:
{
   "usage":10,
   "total_quota":240,
   "trial_status":2,
   "end_date":"2030-11-18",
   "realms":[
      [
         "12345678-abcd-efgh-1234-xxxxxxxxxxxx",
         10,
         1
      ]
   ]
}